Bug 444967 - 'Display Configuration' applet has two buttons to open advanced display settings
Summary: 'Display Configuration' applet has two buttons to open advanced display settings
Status: RESOLVED FIXED
Alias: None
Product: KScreen
Classification: Plasma
Component: Plasma Applet (show other bugs)
Version: 5.23.2
Platform: Archlinux Linux
: NOR normal
Target Milestone: ---
Assignee: kscreen-bugs-null@kde.org
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2021-11-04 18:09 UTC by Patrick Silva
Modified: 2021-11-09 17:55 UTC (History)
1 user (show)

See Also:
Latest Commit:
Version Fixed In: 5.24


Attachments
screenshot (198.84 KB, image/png)
2021-11-04 18:09 UTC, Patrick Silva
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Patrick Silva 2021-11-04 18:09:05 UTC
Created attachment 143211 [details]
screenshot

SUMMARY
There is a button to open advanced display settings on top and another one on top.
Please see the attached screenshot.

EXPECTED RESULT
just one button to open advanced display settings

SOFTWARE/OS VERSIONS
Operating System: Arch Linux
KDE Plasma Version: 5.23.2
KDE Frameworks Version: 5.87.0
Qt Version: 5.15.2
Graphics Platform: Wayland
Comment 1 Nate Graham 2021-11-08 19:56:49 UTC
lol this is ridiculous
Comment 2 Bug Janitor Service 2021-11-08 20:05:10 UTC
A possibly relevant merge request was started @ https://invent.kde.org/plasma/kscreen/-/merge_requests/49
Comment 3 Nate Graham 2021-11-09 17:55:44 UTC
Git commit 56d3fa78224a53848b4eb35d82a36ab1c9638b03 by Nate Graham.
Committed on 08/11/2021 at 20:04.
Pushed by ngraham into branch 'master'.

Modernize applet configuration UI

Now we will have one configure action rather than three, and we won't
have a visible means to show the applet's own configuration window,
which is empty. Also, open System Settings instead of kcmshell.

This brings the applet into consistency with other Plasma applets.
FIXED-IN: 5.24

M  +8    -16   plasmoid/package/contents/ui/main.qml

https://invent.kde.org/plasma/kscreen/commit/56d3fa78224a53848b4eb35d82a36ab1c9638b03